package com.ruoyi.interfaces.domain;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型访问控制对象 md_model_acl
 *
 * @author ruoyi
 * @date 2025-07-15
 */
public class MdModelAcl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模型标签代码
     */
    @ApiModelProperty("模型标签代码")
    private String aclid;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    private String mdid;

    /**
     * 权限代码
     */
    @ApiModelProperty("权限代码")
    @Excel(name = "权限代码")
    private String permission;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @Excel(name = "用户ID")
    private String userid;

    public void setAclid(String aclid) {
        this.aclid = aclid;
    }

    public String getAclid() {
        return aclid;
    }

    public void setMdid(String mdid) {
        this.mdid = mdid;
    }

    public String getMdid() {
        return mdid;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public String getPermission() {
        return permission;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getUserid() {
        return userid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("aclid", getAclid())
                .append("mdid", getMdid())
                .append("permission", getPermission())
                .append("userid", getUserid())
                .toString();
    }

    public MdModelAcl(String aclid, String mdid, String permission, String userid) {
        this.aclid = aclid;
        this.mdid = mdid;
        this.permission = permission;
        this.userid = userid;
    }

    public MdModelAcl() {
    }
}